org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPASTSimpleDeclSpecifier

All Superinterfaces:
  IASTAttributeOwner, IASTDeclSpecifier, IASTNode, IASTSimpleDeclSpecifier, ICPPASTDeclSpecifier

All Known Subinterfaces:
  IGPPASTSimpleDeclSpecifier

    public interface ICPPASTSimpleDeclSpecifier
    extends IASTSimpleDeclSpecifier, ICPPASTDeclSpecifier

This interface represents a built-in type in C++.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTSimpleDeclSpecifier

`DECLTYPE_EXPRESSION, t_auto, t_bool, t_char, t_char16_t, t_char32_t, t_decimal128, t_decimal32, t_decimal64, t_decltype, t_decltype_auto, t_double, t_float, t_float128, t_int, t_int128, t_typeof, t_unspecified, t_void, t_wchar_t`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTDeclSpecifier

`ALIGNMENT_SPECIFIER, sc_auto, sc_extern, sc_mutable, sc_register, sc_static, sc_typedef, sc_unspecified`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`ATTRIBUTE, ATTRIBUTE_SPECIFIER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`ICPPASTSimpleDeclSpecifier` `copy()` Returns a mutable copy of the tree rooted at this node.
`ICPPASTSimpleDeclSpecifier` `copy(IASTNode.CopyStyle style)` Returns a mutable copy of the tree rooted at this node.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTSimpleDeclSpecifier

`getDeclTypeExpression, getType, isComplex, isImaginary, isLong, isLongLong, isShort, isSigned, isUnsigned, setComplex, setDeclTypeExpression, setImaginary, setLong, setLongLong, setShort, setSigned, setType, setType, setUnsigned`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPASTDeclSpecifier

`isConstexpr, isExplicit, isFriend, isThreadLocal, isVirtual, setConstexpr, setExplicit, setFriend, setThreadLocal, setVirtual`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTDeclSpecifier

`getAlignmentSpecifiers, getStorageClass, isConst, isInline, isRestrict, isVolatile, setAlignmentSpecifiers, setConst, setInline, setRestrict, setStorageClass, setVolatile`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`addAttribute, addAttributeSpecifier, getAttributes, getAttributeSpecifiers`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Method Detail

#### copy

    ICPPASTSimpleDeclSpecifier copy()

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTDeclSpecifier`
Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `IASTSimpleDeclSpecifier`
Specified by:
  `copy` in interface `ICPPASTDeclSpecifier`
Since:
  5.1

#### copy

    ICPPASTSimpleDeclSpecifier copy(IASTNode.CopyStyle style)

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTDeclSpecifier`
Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `ICPPASTDeclSpecifier`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.
Since:
  5.3